## perfetto 0~48.1

=== debian/changelog ===
perfetto (0~48.1-1~rpt3) bookworm; urgency=medium

  [ Richard Oliver ]
  * debian: Use system protoc when compiling test configurations
  * debian: Build test/configs
  * debian: Install compiled configs to /var/lib/perfetto/configs

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 16 Jan 2025 15:18:28 +0000

perfetto (0~48.1-1~rpt2) bookworm; urgency=medium

  [ Tom Dewey ]
  * debian: Build tracebox
  * debian: Add Linux-specific manpage

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Nov 2024 15:07:12 +0000

perfetto (0~48.1-1~rpt1) bookworm; urgency=medium

  * Raspberry Pi OS build

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 23 Oct 2024 10:02:51 +0100

perfetto (15.0-1) unstable; urgency=medium
  * Performance improvements.
  * Bugfixes.
  * More flexible SDK.
  * New data-sources.

 -- Florian Mayer <fmayer@google.com>  Fri, 14 May 2021 10:50:00 +0000

perfetto (11.0-1) unstable; urgency=medium
  * Add the Perfetto perf sampling and profiling service.

 -- Sami Kyostila <skyostil@google.com>  Mon, 18 Jan 2021 12:10:00 +0000

perfetto (9.0-1) unstable; urgency=medium

  * Run traced under a dedicated system user account and set socket
    permissions accordingly so that any user can write trace events, but
    only the users in the "traced-consumer" group can read trace data.
  * Update to debhelper 10.
  * Bump version to match Perfetto release.

 -- Sami Kyostila <skyostil@google.com>  Mon, 9 Nov 2020 15:24:00 +0000

perfetto (0.1-1) unstable; urgency=medium

  * Initial release

 -- Sami Kyostila <skyostil@google.com>  Mon, 15 Jan 2018 23:23:25 +0000

## perfetto 53.0

=== python/requirements.txt ===
yapf==0.40.2
sqlglot==26.9.0

=== examples/sdk/CMakeLists.txt ===
# Copyright (C) 2020 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.13)
project(perfetto-sdk-example)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Threads)

# Define a static library for Perfetto. In this example, we expect the SDK
# (perfetto.cc and perfetto.h) to live in the top level sdk/ directory.
include_directories(../../sdk)
add_library(perfetto STATIC ../../sdk/perfetto.cc)

# Link the library to the main executables.
add_executable(example example.cc trace_categories.cc)
add_executable(example_system_wide example_system_wide.cc
               trace_categories.cc)
add_executable(example_custom_data_source example_custom_data_source.cc)
add_executable(example_console example_console.cc trace_categories.cc)
add_executable(example_startup_trace example_startup_trace.cc)

target_link_libraries(example perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_system_wide perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_custom_data_source perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_console perfetto
                      ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(example_startup_trace perfetto
                      ${CMAKE_THREAD_LIBS_INIT})

# On Android we also need the logging library.
if (ANDROID)
  target_link_libraries(example log)
  target_link_libraries(example_system_wide log)
  target_link_libraries(example_custom_data_source log)
  target_link_libraries(example_console log)
  target_link_libraries(example_startup_trace log)
endif (ANDROID)

if (WIN32)
  # The perfetto library contains many symbols, so it needs the big object
  # format.
  target_compile_options(perfetto PRIVATE "/bigobj")
  # Disable legacy features in windows.h.
  add_definitions(-DWIN32_LEAN_AND_MEAN -DNOMINMAX)
  # On Windows we should link to WinSock2.
  target_link_libraries(example ws2_32)
  target_link_libraries(example_system_wide ws2_32)
  target_link_libraries(example_custom_data_source ws2_32)
  target_link_libraries(example_console ws2_32)
  target_link_libraries(example_startup_trace ws2_32)
endif (WIN32)

# Enable standards-compliant mode when using the Visual Studio compiler.
if (MSVC)
  target_compile_options(example PRIVATE "/permissive-")
  target_compile_options(example_system_wide PRIVATE "/permissive-")
  target_compile_options(example_custom_data_source PRIVATE "/permissive-")
  target_compile_options(example_console PRIVATE "/permissive-")
  target_compile_options(example_startup_trace PRIVATE "/permissive-")
endif (MSVC)

=== infra/ci/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include $(shell python3 config.py makefile)

override COMMON_DEPS := Makefile *.py
override GCE_LOCAL_STARTUP_SCRIPT := worker/gce-startup-script.sh
override SCRIPT_HASH := $(shell git hash-object ${GCE_LOCAL_STARTUP_SCRIPT} | cut -c 1-8)
override GCE_STARTUP_SCRIPT := gs://perfetto/ci/worker-startup-script/${SCRIPT_HASH}
BUILDER := docker

.PHONY: help
help:
	@echo "build:              Builds the worker and sandbox containers"
	@echo "build-worker:       Builds the worker container"
	@echo "build-sandbox:      Builds the sandbox container"
	@echo "push:               Pushes the containers to the registry"
	@echo "deploy-frontend:    Deploys and restarts the controller"
	@echo "stop-workers:       Stops the whole workers GCE instance group"
	@echo "start-workers:      Starts the whole workers GCE instance group"
	@echo "restart-workers:    Restarts the whole workers GCE instance group"

.PHONY: build
build: build-worker build-sandbox

.PHONY: build-worker
build-worker: .deps/${BUILDER}-worker

.PHONY: build-sandbox
build-sandbox: .deps/${BUILDER}-sandbox

.PHONY: push
push: build
	${BUILDER} push ${WORKER_IMG}
	${BUILDER} push ${SANDBOX_IMG}

.PHONY: clean
clean:
	rm -rf .deps

.deps/${BUILDER}-worker: worker/* ${COMMON_DEPS}
	mkdir -p worker/tmp
	cp -a config.py common_utils.py worker/tmp/
	${BUILDER} build --rm --force-rm -t ${WORKER_IMG} worker
	rm -rf worker/tmp/
	touch $@

.deps/${BUILDER}-sandbox: sandbox/* ${COMMON_DEPS}
	mkdir -p sandbox/tmp
	cp -a config.py common_utils.py sandbox/tmp/
	${BUILDER} build --rm --force-rm -t ${SANDBOX_IMG} sandbox
	rm -rf sandbox/tmp/
	touch $@

.deps/upload-startup-script: ${GCE_LOCAL_STARTUP_SCRIPT} ${COMMON_DEPS}
	gsutil -q cp -a public-read ${GCE_LOCAL_STARTUP_SCRIPT} ${GCE_STARTUP_SCRIPT}
	touch $@

.deps/gce-template: ${COMMON_DEPS} .deps/upload-startup-script
	gcloud compute --quiet --project=${PROJECT} \
		instance-templates delete --quiet ${GCE_TEMPLATE} || true
	gcloud compute --quiet --project=${PROJECT} \
		instance-templates create ${GCE_TEMPLATE} \
		--enable-nested-virtualization \
		--machine-type=${GCE_VM_TYPE} \
		--network=projects/${PROJECT}/global/networks/default \
		--network-tier=PREMIUM \
		--metadata='startup-script-url=${GCE_STARTUP_SCRIPT},num-workers=${NUM_WORKERS_PER_VM},sandbox-img=${SANDBOX_IMG},worker-img=${WORKER_IMG},google-logging-enabled=true,enable-oslogin=TRUE' \
		--maintenance-policy=MIGRATE \
		--service-account=gce-ci-worker@${PROJECT}.iam.gserviceaccount.com \
		--scopes=${GCE_SCOPES} \
		--image=projects/cos-cloud/global/images/cos-121-18867-90-23 \
		--boot-disk-size=100GB \
		--boot-disk-type=pd-ssd \
		--boot-disk-device-name=${GCE_TEMPLATE} \
		--local-ssd=interface=NVME \
		--local-ssd=interface=NVME
	touch $@

.PHONY: deploy-frontend
deploy-frontend:
	make -C frontend deploy

.PHONY: restart-workers
restart-workers: stop-workers start-workers

define start-workers-for-region
gcloud compute --project=${PROJECT} \
	instance-groups managed create ${GCE_GROUP_NAME}-$1 \
	--region=$1 \
	--base-instance-name=${GCE_GROUP_NAME}-$1 \
	--template=${GCE_TEMPLATE} \
	--size 0
gcloud compute --quiet --project=$(PROJECT) \
	instance-groups managed set-autoscaling ${GCE_GROUP_NAME}-$1 \
	--region=$1 \
	--min-num-replicas=${AUTOSCALER_MIN} \
	--max-num-replicas=${MAX_VMS_PER_REGION} \
	--cool-down-period=60 \
	--stackdriver-metric-filter="resource.type = \"global\"" \
	--update-stackdriver-metric="custom.googleapis.com/$(PROJECT)/ci_job_queue_len" \
	--stackdriver-metric-utilization-target=0.1 \
	--stackdriver-metric-utilization-target-type=gauge
endef

.PHONY: start-workers
start-workers: .deps/gce-template
	$(foreach region,$(GCE_REGIONS),$(call start-workers-for-region,$(region)))

define stop-workers-for-region
gcloud compute --quiet --project=${PROJECT} \
	instance-groups managed delete ${GCE_GROUP_NAME}-$1 --region=$1 || true
endef

.PHONY: stop-workers
stop-workers:
	$(foreach region,$(GCE_REGIONS),$(call stop-workers-for-region,$(region)))


.PHONY: autoscaler-debug
autoscaler-debug:
	gcloud compute instance-groups managed describe
		${GCE_GROUP_NAME}-${GCE_REGIONS} \
		--project=${PROJECT} \
		--region=${GCE_REGIONS}

# These are for testing only, start an individual VM. Use start-group for
# production.

.PHONY: stop-worker-for-testing
stop-worker-for-testing:
	gcloud compute --quiet \
		--project ${PROJECT} \
		instances delete ${GCE_VM_NAME} \
		--zone us-west1-c

.PHONY: start-worker-for-testing
start-worker-for-testing: .deps/gce-template
	gcloud compute --quiet \
		--project ${PROJECT} \
		instances create ${GCE_VM_NAME} \
		--zone us-west1-c \
		--source-instance-template=${GCE_TEMPLATE}

# Debugging client to make OAuth2 authenticated requests manually.
.PHONY: cli
cli:
	GOOGLE_APPLICATION_CREDENTIALS=test-credentials.json \
	python3 -i -c 'from common_utils import *; from config import *; \
		SCOPES += ["https://www.googleapis.com/auth/firebase.database", \
								"https://www.googleapis.com/auth/userinfo.email", \
								"https://www.googleapis.com/auth/datastore"]'

=== infra/git_mirror_bot/Makefile ===
# Copyright (C) 2017 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PROJECT="perfetto-aosp-to-github-bot"
VM_NAME="perfetto-aosp-to-github-bot"
ZONE="us-central1-c"

ssh:
	gcloud --account $(USER)@google.com \
		compute --project $(PROJECT) ssh --zone $(ZONE) gitbot@$(VM_NAME)

stop:
	gcloud compute \
		--project $(PROJECT) \
		instances delete $(VM_NAME) \
		--zone $(ZONE)

start:
	gcloud compute \
		--project $(PROJECT) \
		instances create $(VM_NAME) \
		--zone $(ZONE) \
		--machine-type "n1-standard-2" \
		--subnet "default" \
		--maintenance-policy "MIGRATE" \
		--image "debian-9-drawfork-v20191004" \
		--image-project "eip-images" \
		--boot-disk-size "10" \
		--boot-disk-type "pd-standard" \
		--boot-disk-device-name "perfetto-ci-git-mirror-bot" \
		--metadata-from-file=startup-script=startup-script.sh,main=mirror_aosp_to_ghub_repo.py

.PHONY: ssh stop start

=== infra/perfetto-get.appspot.com/requirements.txt ===
Flask==3.0.0
requests==2.31.0

=== infra/ci/frontend/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


include $(shell python3 ../config.py makefile)

SHASUM=shasum
GOOGLE_CLOUD_PROJECT=perfetto-ci

test: LOGLEVEL=info
test: static_3p config.py common_utils.py static/config.js
	gcloud auth application-default login \
			--impersonate-service-account perfetto-ci@appspot.gserviceaccount.com
	python3 `which dev_appserver.py` app.yaml \
		--dev_appserver_log_level ${LOGLEVEL} \
		--port 8081

deploy: static_3p config.py common_utils.py static/config.js
	gcloud app deploy -q app.yaml cron.yaml \
		--project ${PROJECT} \
		-v ${GAE_VERSION} \
		--stop-previous-version

config.py: ../config.py
	cp ../$@ $@

common_utils.py: ../common_utils.py
	cp ../$@ $@

static/config.js: ../config.py
	../config.py js > $@

static/third_party/mithril-1.1.6.min.js:
	curl -Sso $@ https://cdnjs.cloudflare.com/ajax/libs/mithril/1.1.6/mithril.min.js
	echo "a204c02ee15c347cf368c3481bdea967b443c8d0  $@" | ${SHASUM} -c || rm $@

static_3p: static/third_party/mithril-1.1.6.min.js

.PHONY: test deploy static_3p

=== infra/ci/frontend/requirements.txt ===
Flask[async]==2.2.5
requests
gunicorn
google-auth
google-cloud
google-cloud-logging
google-cloud-ndb
PyJWT
cryptography

=== infra/perfetto.dev/appengine/requirements.txt ===
Flask==1.1.2
google-cloud-storage

=== infra/ui.perfetto.dev/appengine/requirements.txt ===
Flask==2.2.5
Jinja2==3.0.3
requests

## perfetto 0~51.2

=== debian/changelog ===
perfetto (0~51.2-1~rpt1) trixie; urgency=medium

  * Raspberry Pi OS Trixie build
  * Refreshed patches

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Tue, 29 Jul 2025 13:27:43 +0000

=== debian/control ===
Source: perfetto
Section: kernel
Priority: optional
Maintainer: Sami Kyostila <skyostil@google.com>
Build-Depends: debhelper (>= 13),
  generate-ninja,
  git,
  libprotoc-dev,
  ninja-build,
  pandoc,
  protobuf-compiler,
  python3,
  zlib1g-dev,
  zlib1g
Standards-Version: 4.5.1
Homepage: https://perfetto.dev
Vcs-Git: https://android.googlesource.com/platform/external/perfetto/
Vcs-Browser: https://android.googlesource.com/platform/external/perfetto/
Rules-Requires-Root: no

Package: perfetto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, zlib1g
Description: Performance instrumentation and logging framework
 Perfetto is a performance instrumentation and logging framework for POSIX
 systems.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure: MAYBE_HOST_CPU=$(shell \
	if [ "${DEB_BUILD_GNU_CPU}" = "i686" ]; then \
	  echo "host_cpu=\\\"x86\\\"";\
	elif [ "${DEB_BUILD_GNU_CPU}" = "x86_64" ]; then \
	  echo "host_cpu=\\\"x64\\\"";\
	elif [ "${DEB_BUILD_GNU_CPU}" = "aarch64" ]; then \
	  echo "host_cpu=\\\"arm64\\\"";\
	elif [ "${DEB_BUILD_GNU_CPU}" = "arm64" ]; then \
	  echo "host_cpu=\\\"arm64\\\"";\
	elif [ "${DEB_BUILD_GNU_CPU:0:3}" == "arm" ]; then \
	  echo "host_cpu=\\\"arm\\\"";\
	fi\
)
override_dh_auto_configure:
	env
	uname -a
	gn gen out/release --args="is_debug=false use_custom_libcxx=false\
	  is_hermetic_clang=false is_system_compiler=true is_clang=false\
	  skip_buildtools_check=true enable_perfetto_integration_tests=false\
	  enable_perfetto_unittests=false perfetto_use_system_protobuf=true\
	  perfetto_use_system_zlib=true perfetto_enable_git_rev_version_header=false\
	  extra_cflags=\"${CFLAGS}\" extra_cxxflags=\"${CXXFLAGS}\"\
	  extra_ldflags=\"${LDFLAGS}\" cc=\"${CC}\" cxx=\"${CXX}\"\
	  ${MAYBE_HOST_CPU}"

override_dh_auto_build:
	ninja -C out/release perfetto traced traced_probes tracebox test/configs
	pandoc docs/reference/perfetto-cli-linux.md -s -t man --shift-heading-level-by=-1 >\
	 debian/perfetto.1

override_dh_auto_clean:
	rm -rf out/release

## perfetto 53.0

=== debian/changelog ===
perfetto (53.0-3) unstable; urgency=medium

  * Add missing commit in debian/copyright

 -- S Ashwin Balaji <ashwinbalaji622@gmail.com>  Fri, 14 Nov 2025 11:53:31 +0000

perfetto (53.0-2) unstable; urgency=medium

  * Disable non-baseline CPU features for amd64.
  * Add missing authors for debian/ files.

 -- S Ashwin Balaji <ashwinbalaji622@gmail.com>  Thu, 13 Nov 2025 23:20:51 +0000

perfetto (53.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118165)

 -- S Ashwin Balaji <ashwinbalaji622@gmail.com>  Tue, 28 Oct 2025 21:42:23 +0100

=== debian/control ===
Source: perfetto
Section: utils
Priority: optional
Maintainer: S Ashwin Balaji <ashwinbalaji622@gmail.com>
Uploaders: Ricardo Ribalda Delgado <ribalda@debian.org>
Homepage: https://perfetto.dev
Vcs-Browser: https://salsa.debian.org/debian/perfetto
Vcs-Git: https://salsa.debian.org/debian/perfetto.git
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               generate-ninja,
               libprotoc-dev,
               ninja-build,
               pandoc,
               protobuf-compiler,
               python3,
               zlib1g-dev
Standards-Version: 4.7.2

Package: perfetto
Architecture: amd64 arm64 armhf i386
Depends: adduser, zlib1g, ${misc:Depends}, ${shlibs:Depends}
Description: Performance instrumentation and logging framework
 Perfetto is a performance instrumentation and logging framework for POSIX
 systems. It offers services and libraries for recording system-level and
 app-level traces, native and Java heap profiling, and a library for
 analyzing traces using SQL.
 .
 This package conatains the core userspace daemons and client tools:
  * traced: The unprivileged central tracing service. It manages the
    shared memory buffers and arbitrates between data producers and
    trace consumers.
  * traced_probes: The privileged system daemon. It runs with required
    permissions to access kernel interfaces (such as ftrace and /proc)
    to produce system-level trace data.
  * perfetto: The command-line client used to configure, start, and
    stop tracing sessions, and save trace data to files. It supports
    complex trace configurations to precisely control recorded data
    (see https://perfetto.dev/docs/concepts/config).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Final build flags passed to gn.
FINAL_CFLAGS := $(filter-out -Werror=implicit-function-declaration,${CFLAGS}) ${CPPFLAGS}
FINAL_CXXFLAGS := ${CXXFLAGS} ${CPPFLAGS}

# See https://lintian.debian.org/tags/shared-library-lacks-version.html
# libperfetto.so is a private shared library. To address "shared-library-lacks-version"
# lintian warning, it is installed in a subdirectory of /usr/lib. The rpath is
# needed so the other binaries in this package can find it.
FINAL_LDFLAGS := ${LDFLAGS} -Wl,-rpath=/usr/lib/perfetto

# Build directory for gn/ninja.
BUILD_DIR := out/release

%:
	dh $@

override_dh_auto_configure:
	gn gen ${BUILD_DIR} --args="\
	  is_debug=false \
	  use_custom_libcxx=false \
	  is_hermetic_clang=false \
	  is_system_compiler=true \
	  is_clang=false \
	  skip_buildtools_check=true \
	  enable_perfetto_integration_tests=false \
	  enable_perfetto_unittests=false \
	  enable_perfetto_x64_cpu_opt=false \
	  perfetto_use_system_protobuf=true \
	  perfetto_use_system_zlib=true \
	  perfetto_enable_git_rev_version_header=false \
	  extra_cflags=\"${FINAL_CFLAGS}\" \
	  extra_cxxflags=\"${FINAL_CXXFLAGS}\" \
	  extra_ldflags=\"${FINAL_LDFLAGS}\" \
	  cc=\"${CC}\" \
	  cxx=\"${CXX}\" \
	  host_cpu=\"$(shell debian/get-cpu)\" \
	"

override_dh_auto_build:
	# Build binaries.
	ninja -v -C ${BUILD_DIR} perfetto traced traced_probes

	# Generate manpages.
	debian/make-manpage docs/reference/perfetto-cli.md debian/perfetto.1
	debian/make-manpage docs/reference/traced.md debian/traced.8
	debian/make-manpage docs/reference/traced_probes.md debian/traced_probes.8

# Ensure the traced and traced-probes services are not enabled or started on install.
override_dh_installsystemd:
	dh_installsystemd traced.service --no-enable --no-start
	dh_installsystemd traced-probes.service --no-enable --no-start

override_dh_auto_clean:
	rm -rf ${BUILD_DIR}

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/google/perfetto/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/archive/refs/tags/$2.tar.gz%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Searchmode: plain

## perfetto 54.0

=== python/requirements.txt ===
grpcio==1.76.0
pandas==2.3.3
protobuf==6.33.5
sqlglot==26.9.0
yapf==0.40.2

=== infra/ci/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 
 .PHONY: push
 push: build
+	echo "If push below fails run: gcloud auth configure-docker us-docker.pkg.dev"
 	${BUILDER} push ${WORKER_IMG}
 	${BUILDER} push ${SANDBOX_IMG}

=== debian/changelog ===
perfetto (54.0-1) unstable; urgency=medium

  * Uprev to latest upstream version
  * Update Standards version
  * Update Copyright hits

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 02 Mar 2026 14:55:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: perfetto
 Section: utils
-Priority: optional
 Maintainer: S Ashwin Balaji <ashwinbalaji622@gmail.com>
 Uploaders: Ricardo Ribalda Delgado <ribalda@debian.org>
 Homepage: https://perfetto.dev
@@ -15,7 +14,7 @@
                protobuf-compiler,
                python3,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: perfetto
 Architecture: amd64 arm64 armhf i386
